#ifdef hpux
#include <stdio.h>
#include <sys/time.h>
#include <sys/times.h>
#include <sys/types.h>
#include <utime.h>
#include <regex.h>

char *getcwd();
char *getwd(dir)
	char *dir;
{
	return getcwd(dir,1024);
}

setbuffer(fp,b,s)
	FILE *fp;
	char *b;
{
	setvbuf(fp,b,_IOFBF,s);
}
setlinebuf(fp)
	FILE *fp;
{
	setvbuf(fp,NULL,_IOLBF,128);
}

/*
 *	SIGNAL HANDLING
 */
char *sys_siglist[32] =
	{ "1","2","3","4","5","6","7","8","9","10","11","12","13","14",0};

psignal(msg)
	char *msg;
{
	fprintf(stderr,"%s: SIGNAL ?\n");
}
killpg(pgrp,sig)
{
	return kill(-pgrp,sig);
}
sigvec(sig,vec,ovec){
	return sigvector(sig, vec, ovec);
}

/*
 *	REGULAR EXPRESSION
 */
static regex_t REXP;
re_comp(s)
	char *s;
{
	if( *(int*)&REXP != 0 )
		regfree(&REXP);
	regcomp(&REXP, s, REG_NOSUB);
	return 0;
}
re_exec(s)
	char *s;
{
	if(s == 0) return 0;
	return regexec(&REXP,s,strlen(s),(size_t)0,NULL,0) == 0;
}

/*
 *
 */

setreuid(ruid,euid)
{
	setresuid(ruid,euid,-1);
}

utimes(file,tvp)
	char *file;
	struct timeval *tvp;
{	struct utimbuf times;
	int time0;

	if( tvp == 0 ){
		time0 = time(0);
		times.actime = time0;
		times.modtime = time0;
	}else{
		times.actime = tvp[0].tv_sec;
		times.modtime = tvp[1].tv_sec;
	}
	return utime(file,&times);
}

getrusage(who, rusage){
	struct tms tbuf;

	times(&tbuf);
	return -1;
}

random(){
	return rand();
}
srandom(seed)
	unsigned int seed;
{
	return srand(seed);
}

#else
static int dummy;
#endif
